package com.inteligr8.alfresco.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation tells the framework to execute the annotated method
 * asynchronously.  The execution may be performed any number of ways,
 * including a threaded execution or through a queuing service.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Asynchronous {
	
	/**
	 * Whether or not the execution is guaranteed. 
	 * 
	 * @return `true` if guaranteed; `false` otherwise
	 */
	boolean durable() default true;

}
