package com.inteligr8.alfresco.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation tells the framework to execute the annotated method
 * inside an ACS `system` authorized context.  This is the highest privileged
 * execution.
 * 
 * If the authorization is expected to be the same (remains `system`), then
 * another layer of authorization is **not** added.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface AuthorizedAsSystem {

}
