package com.inteligr8.alfresco.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation tells the framework to skip execution if the annotated
 * parameter or any annotated method parameter is a child association that is
 * not primary.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({
	ElementType.METHOD,
	ElementType.PARAMETER
})
public @interface IfChildAssociationIsPrimary {

}
