package com.inteligr8.alfresco.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface JobSynchronized {
	
	String value() default "";
	
	long acquireWaitBetweenRetriesInMillis() default 100L;
	
	int acquireMaxRetries() default 300;
	
	long lockTimeoutInMillis() default 5000L;

}
