package com.inteligr8.alfresco.annotations.aspect;

import java.util.HashSet;
import java.util.Set;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class AbstractWarnOnceService {
	
	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	private Set<String> warned = new HashSet<>();
	
	protected void warn(String key, String message, Object... arguments) {
		if (this.warned.add(key))
			this.logger.warn(message, arguments);
	}

}
