package com.inteligr8.alfresco.annotations.job;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

import com.inteligr8.alfresco.annotations.service.AsyncProcessException;
import com.inteligr8.alfresco.annotations.service.AsyncService;

public class AsyncJob implements Job {
	
	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		AsyncService asyncService = (AsyncService) context.getMergedJobDataMap().get("asyncService");
		if (asyncService == null)
			throw new JobExecutionException("An 'asyncService' object is required in the job map");
		
		try {
			asyncService.poll();
		} catch (AsyncProcessException ape) {
			throw new JobExecutionException(ape, true);
		}
	}

}
