package com.inteligr8.alfresco.annotations.util;

import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;

public interface JtaTransactionalAnnotationAdapter extends TransactionalAnnotationAdapter {
	
	default boolean isReadOnly() {
		return false;
	}
	
	Propagation getPropagation();
	
	default Isolation getIsolation() {
		return Isolation.DEFAULT;
	}
	
	default int getTimeoutInSeconds() {
		return 0;
	}
	
	Class<? extends Throwable>[] getRollbackFor();
	
	Class<? extends Throwable>[] getNoRollbackFor();

}
