package com.inteligr8.alfresco.annotations.util;

import java.util.HashMap;
import java.util.Map;

import org.alfresco.util.Pair;

public class MapUtils {
	
	public static <K, V> Map<K, V> build(Pair<K, V>... pairs) {
		Map<K, V> map = new HashMap<>();
		for (Pair<K, V> pair : pairs) {
			map.put(pair.getFirst(), pair.getSecond());
		}
		
		return map;
	}
	
	public static Map<String, String> build(String... keyValuePairs) {
		if (keyValuePairs.length % 2 == 1)
			throw new IllegalArgumentException();
		
		Map<String, String> map = new HashMap<>();
		for (int pair = 0; pair < keyValuePairs.length / 2; pair++) {
			int base = pair * 2;
			map.put(keyValuePairs[base], keyValuePairs[base + 1]);
		}
		
		return map;
	}

}
