package com.inteligr8.alfresco.annotations;

import org.apache.commons.lang3.mutable.MutableBoolean;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.ApplicationEvent;
import org.springframework.extensions.surf.util.AbstractLifecycleBean;
import org.springframework.stereotype.Component;

@Component
public class IfNotNullTest extends AbstractLifecycleBean {
	
	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	private final MutableBoolean executed = new MutableBoolean();

	@Override
	protected void onBootstrap(ApplicationEvent event) {
		this.logger.info("Running test: " + this.getClass());
		
		this.executed.setFalse();
		this.tryNotNull("test");
		if (this.executed.isFalse())
			throw new IllegalStateException();
		
		this.tryNull(null);
	}
	
	@Override
	protected void onShutdown(ApplicationEvent event) {
	}

	private void tryNotNull(@IfNotNull String str) {
		this.executed.setTrue();
	}

	private void tryNull(@IfNotNull String str) {
		throw new IllegalStateException();
	}

}
